summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2017-10-24 15:27:51 +0200
committer Eric Hameleers <alien@slackware.com>2017-10-24 15:27:51 +0200
commit243061bcff66bc5491300110fd4e4866bbdf0636 (patch)
tree48ac636fc61c5a9b828121d395a281143ef28217
parent8f70227ae78ea478d8e382b2fc8dd1c0ec29accc (diff)
downloadktown-243061bcff66bc5491300110fd4e4866bbdf0636.tar.gz
ktown-243061bcff66bc5491300110fd4e4866bbdf0636.tar.xz
Add wayland support (not enabled in regular repo)
In an attempt to keep a single source tree for both 'latest' and 'testing' repositories, everything to support a Plasma5 Wayland session was added. This was made possible *without* the need for PAM or systemd because the ConsoleKit2 and KWin developers cooperated (on my request :-) to add the logind DBus API to CK2 and make KWin accept CK2 as an alternative to systemd-logind if the latter is not present. Note that this requires recompilation of two stock Slackware packages, mesa and xorg-server, to let them gain Wayland support. Build order: Deps: - ConsoleKit2 - wayland and wayland-protocols - mesa - xorg-server - libxkbcommon - qt5 Frameworks: - kwayland - plasma-framework Plasma; - kinfocenter - kscreenlocker - kwayland-integration - libkscreen2 - plasma-desktop - plasma-integration - plasma-workspace - powerdevil - kwin In order to start a Wayland session (you'll need to use packages from the 'testing' repository) either run 'startkwayland' from your console prompt in runlevel 3, or choose the "Plasma (Wayland)" session in the SDDM dropdown if you are booting into runlevel 4.
-rwxr-xr-xdeps/ConsoleKit2/ConsoleKit2.SlackBuild152
-rw-r--r--deps/ConsoleKit2/doinst.sh.gzbin0 -> 353 bytes
-rw-r--r--deps/ConsoleKit2/rc.consolekit34
-rw-r--r--deps/ConsoleKit2/slack-desc19
-rw-r--r--deps/mesa/doinst.sh13
-rwxr-xr-xdeps/mesa/mesa.SlackBuild41
-rw-r--r--deps/wayland-protocols/.url3
-rw-r--r--deps/wayland-protocols/slack-desc19
-rwxr-xr-xdeps/wayland-protocols/wayland-protocols.SlackBuild137
-rwxr-xr-xdeps/xorg-server/xorg-server.SlackBuild4
-rw-r--r--kde/post-install/plasma-workspace.post-install9
-rw-r--r--kde/post-install/plasma-workspace/scripts/startkwayland4
12 files changed, 418 insertions, 17 deletions
diff --git a/deps/ConsoleKit2/ConsoleKit2.SlackBuild b/deps/ConsoleKit2/ConsoleKit2.SlackBuild
new file mode 100755
index 0000000..8347e84
--- /dev/null
+++ b/deps/ConsoleKit2/ConsoleKit2.SlackBuild
@@ -0,0 +1,152 @@
+#!/bin/sh
+
+# Slackware build script for ConsoleKit
+
+# Copyright 2009, 2015 Robby Workman, Northport, Alabama, USA
+# Copyright 2010, 2015, 2017 Eric Hameleers, Eindhoven, NL
+# Copyright 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PKGNAM=ConsoleKit2
+VERSION=${VERSION:-1.2.0}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:--j7}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKLDFLAGS=""
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ SLKLDFLAGS=""
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ SLKLDFLAGS="-L/usr/lib64"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ SLKLDFLAGS=""
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ SLKLDFLAGS=""
+ LIBDIRSUFFIX=""
+fi
+
+case "$ARCH" in
+ arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+ *) TARGET=$ARCH-slackware-linux ;;
+esac
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+autoreconf -vif
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --with-rundir=/var/run \
+ --with-pid-file=/var/run/ConsoleKit/pid \
+ --enable-docbook-docs \
+ --enable-pam-module=no \
+ --enable-udev-acl \
+ --disable-static \
+ --build=$TARGET
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG
+
+# Let's not clobber config files
+mv $PKG/etc/ConsoleKit/seats.d/00-primary.seat \
+ $PKG/etc/ConsoleKit/seats.d/00-primary.seat.new
+
+# Add an init script
+mkdir -p $PKG/etc/rc.d
+cat $CWD/rc.consolekit > $PKG/etc/rc.d/rc.consolekit.new
+chmod 0755 $PKG/etc/rc.d/rc.consolekit.new
+
+# Remove unused xinitrc.d script:
+rm -r $PKG/etc/X11/xinit/xinitrc.d
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz
+ rm $i
+done
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING HACKING INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/deps/ConsoleKit2/doinst.sh.gz b/deps/ConsoleKit2/doinst.sh.gz
new file mode 100644
index 0000000..f981ef1
--- /dev/null
+++ b/deps/ConsoleKit2/doinst.sh.gz
Binary files differ
diff --git a/deps/ConsoleKit2/rc.consolekit b/deps/ConsoleKit2/rc.consolekit
new file mode 100644
index 0000000..a193756
--- /dev/null
+++ b/deps/ConsoleKit2/rc.consolekit
@@ -0,0 +1,34 @@
+#!/bin/sh
+#
+# /etc/rc.d/rc.consolekit
+#
+# Start/stop consolekit-kit daemon.
+#
+# This daemon is used by polkit's console auth agent.
+
+# Start consolekit:
+ck_start() {
+ echo "Starting ConsoleKit daemon: /usr/sbin/console-kit-daemon"
+ /usr/sbin/console-kit-daemon
+}
+
+# Stop consolekit:
+ck_stop() {
+ if [ -r /var/run/ConsoleKit/pid ]; then
+ kill -HUP $(cat /var/run/ConsoleKit/pid)
+ rm -f /var/run/ConsoleKit/pid
+ else
+ killall -HUP -q console-kit-daemon
+ fi
+}
+
+case "$1" in
+'start')
+ ck_start
+ ;;
+'stop')
+ ck_stop
+ ;;
+*)
+ echo "Usage: $0 start|stop"
+esac
diff --git a/deps/ConsoleKit2/slack-desc b/deps/ConsoleKit2/slack-desc
new file mode 100644
index 0000000..508b732
--- /dev/null
+++ b/deps/ConsoleKit2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+ConsoleKit2: ConsoleKit2 (user, login, and seat tracking framework)
+ConsoleKit2:
+ConsoleKit2: ConsoleKit2 is a framework for defining and tracking users, login
+ConsoleKit2: sessions, and seats.
+ConsoleKit2:
+ConsoleKit2: Homepage: https://github.com/ConsoleKit2/ConsoleKit2
+ConsoleKit2:
+ConsoleKit2:
+ConsoleKit2:
+ConsoleKit2:
+ConsoleKit2:
diff --git a/deps/mesa/doinst.sh b/deps/mesa/doinst.sh
new file mode 100644
index 0000000..42c4667
--- /dev/null
+++ b/deps/mesa/doinst.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+config etc/drirc.new
diff --git a/deps/mesa/mesa.SlackBuild b/deps/mesa/mesa.SlackBuild
index 05e49d8..36424d4 100755
--- a/deps/mesa/mesa.SlackBuild
+++ b/deps/mesa/mesa.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2013, 2014, 2015, 2016 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2013, 2014, 2015, 2016, 2017 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,7 +21,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PKGNAM=mesa
-VERSION=${VERSION:-13.0.4}
+VERSION=${VERSION:-17.2.3}
DEMOVERS=${DEMOVERS:-8.3.0}
BUILD=${BUILD:-1}
@@ -47,9 +47,13 @@ PKG=$TMP/package-mesa
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
+ # I've heard some reports as of late 2016 that Vulkan has some issues on
+ # 32-bit, but we'll try it anyway and see if anything is reported:
+ VULKAN=" --with-vulkan-drivers=intel,radeon "
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+ VULKAN=" --with-vulkan-drivers=intel,radeon "
else
SLKCFLAGS="-O2"
LIBDIRSUFFIX=""
@@ -108,7 +112,8 @@ CFLAGS="$SLKCFLAGS" \
--with-dri-drivers="$DRI_DRIVERS" \
--with-gallium-drivers="$GALLIUM_DRIVERS" \
--with-egl-platforms="$EGL_PLATFORMS" \
- --enable-gallium-llvm \
+ $VULKAN \
+ --enable-llvm \
--enable-llvm-shared-libs \
--enable-egl \
--enable-texture-float \
@@ -134,7 +139,11 @@ CFLAGS="$SLKCFLAGS" \
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
-# Now install the demos
+# Install /etc/drirc as a .new file:
+mv $PKG/etc/drirc $PKG/etc/drirc.new
+
+# Now build/install the demos:
+export CWD SLKCFLAGS NUMJOBS PKG
( cd $TMP
rm -rf mesa-demos-$DEMOVERS
tar xvf $CWD/mesa-demos-$DEMOVERS.tar.?z* || exit 1
@@ -148,19 +157,20 @@ make install DESTDIR=$PKG || exit 1
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
- --build=$ARCH-slackware-linux
- # Build and install gears and glinfo, as well as a few other demos
- make -C src/demos gears glinfo
- make -C src/xdemos \
- glthreads glxcontexts glxdemo glxgears glxgears_fbconfig \
- glxheads glxinfo glxpbdemo glxpixmap
+ --build=$ARCH-slackware-linux || exit 1
+ make $NUMJOBS || exit 1
+ # Install all the demos (including the pointless ones) at first, in a
+ # temporary location:
+ make install DESTDIR=$PKG/cruft
+ # Install gears and glinfo, as well as a few other demos:
mkdir -p $PKG/usr/bin
- cp -a src/demos/{gears,glinfo} $PKG/usr/bin
- for i in glthreads glxcontexts glxdemo glxgears glxgears_fbconfig \
- glxheads glxinfo glxpbdemo glxpixmap ; do
- cp -a src/xdemos/$i $PKG/usr/bin ;
+ for demo in gears glinfo glthreads glxcontexts glxdemo glxgears \
+ glxgears_fbconfig glxheads glxinfo glxpbdemo glxpixmap ; do
+ mv --verbose $PKG/cruft/usr/bin/$demo $PKG/usr/bin
done
-)
+ # Remove cruft:
+ rm -rf $PKG/cruft
+) || exit 1
# Strip binaries:
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
@@ -184,6 +194,7 @@ rm -f $PKG/usr/doc/$PKGNAM-$VERSION/html/relnotes*.html
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
diff --git a/deps/wayland-protocols/.url b/deps/wayland-protocols/.url
new file mode 100644
index 0000000..739ffdc
--- /dev/null
+++ b/deps/wayland-protocols/.url
@@ -0,0 +1,3 @@
+https://wayland.freedesktop.org/releases/wayland-protocols-1.11.tar.xz
+https://wayland.freedesktop.org/releases/wayland-protocols-1.11.tar.xz.sig
+
diff --git a/deps/wayland-protocols/slack-desc b/deps/wayland-protocols/slack-desc
new file mode 100644
index 0000000..d2fd941
--- /dev/null
+++ b/deps/wayland-protocols/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wayland-protocols: wayland-protocols (specs of extended wayland protocols)
+wayland-protocols:
+wayland-protocols: wayland-protocols contains Wayland protocols that add functionality
+wayland-protocols: not available in the Wayland core protocol.
+wayland-protocols: Such protocols either add completely new functionality, or extend the
+wayland-protocols: functionality of some other protocol either in Wayland core, or
+wayland-protocols: some other protocol in wayland-protocols.
+wayland-protocols: Protocols may be 'stable', 'unstable' or 'deprecated'.
+wayland-protocols:
+wayland-protocols: Homepage: http://wayland.freedesktop.org/
+wayland-protocols:
diff --git a/deps/wayland-protocols/wayland-protocols.SlackBuild b/deps/wayland-protocols/wayland-protocols.SlackBuild
new file mode 100755
index 0000000..4a46746
--- /dev/null
+++ b/deps/wayland-protocols/wayland-protocols.SlackBuild
@@ -0,0 +1,137 @@
+#!/bin/sh
+# Copyright 2017 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2017 Eric Hameleers, Eindhoven, NL
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+
+
+PKGNAM=wayland-protocols
+VERSION=${VERSION:-1.11}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i486 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+# Set CFLAGS/CXXFLAGS and LIBDIRSUFFIX:
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "arm" ]; then
+ SLKCFLAGS="-O2 -march=armv5te"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+case "$ARCH" in
+ arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+ *) TARGET=$ARCH-slackware-linux ;;
+esac
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Configure:
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --enable-static=no \
+ --build=$TARGET
+
+# Build and install:
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Strip binaries:
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ COPYING README \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+# Add a description:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Create the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/deps/xorg-server/xorg-server.SlackBuild b/deps/xorg-server/xorg-server.SlackBuild
index eec8ac2..85b0c8e 100755
--- a/deps/xorg-server/xorg-server.SlackBuild
+++ b/deps/xorg-server/xorg-server.SlackBuild
@@ -1,5 +1,5 @@
#!/bin/sh
-# Copyright 2007-2016 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2007-2017 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -27,7 +27,7 @@
# Xnest, Xephyr, Xvfb, Xwayland.
PKGNAM=xorg-server
-VERSION=${VERSION:-1.19.1}
+VERSION=${VERSION:-1.19.5}
BUILD=${BUILD:-1}
CWD=$(pwd)
diff --git a/kde/post-install/plasma-workspace.post-install b/kde/post-install/plasma-workspace.post-install
index 15ad278..ebeb5e0 100644
--- a/kde/post-install/plasma-workspace.post-install
+++ b/kde/post-install/plasma-workspace.post-install
@@ -6,6 +6,15 @@ cat $CWD/post-install/plasma-workspace/xinit/xinitrc.plasma \
| sed -e "s/@LIBDIRSUFFIX@/$LIBDIRSUFFIX/g" \
> $PKG/etc/X11/xinit/xinitrc.plasma
chmod 0755 $PKG/etc/X11/xinit/xinitrc.plasma
+mkdir -p $PKG/usr/bin
+cat $CWD/post-install/plasma-workspace/scripts/startkwayland \
+ | sed -e "s/@LIBDIRSUFFIX@/$LIBDIRSUFFIX/g" \
+ > $PKG/usr/bin/startkwayland
+chmod 0755 $PKG/usr/bin/startkwayland
+
+# ck-launch-session is needed for a Wayland session, since we do not have PAM:
+sed -e 's/^Exec=dbus-launch/Exec=ck-launch-session dbus-launch --sh-syntax/' \
+ -i $PKG/usr/share/wayland-sessions/plasmawayland.desktop
# Add a "fail-safe" version of KDE Plasma desktop session.
# Prefix the name with "z_" because SDDM is braindead:
diff --git a/kde/post-install/plasma-workspace/scripts/startkwayland b/kde/post-install/plasma-workspace/scripts/startkwayland
new file mode 100644
index 0000000..506e276
--- /dev/null
+++ b/kde/post-install/plasma-workspace/scripts/startkwayland
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+# Start KWin as a Plasma 5 Wayland session
+ck-launch-session dbus-launch --sh-syntax --exit-with-session /usr/bin/startplasmacompositor